/*****************************************************************************
 * Filename:    cryptfs/misc.h                                               *
 * Description:                                                              *
 * Copyright:   2005 by Alexander Motzkau                                    *
 *****************************************************************************/

#ifndef __MISC_H__
#define __MISC_H__

#include <stdlib.h>

void *xmalloc(size_t size);
void xfree(void *ptr);
char *xmallocstr(char *str);

int get_blockdev_size(char *devname, unsigned long *size);
void setuidnam(char *uid);
void errmsg(const char* fmt, ...);
void errnomsg(const char* str);

extern int use_syslog;

#endif
